<template>
  <div>
    <b-navbar toggleable="lg" color="dark" variant="warning">
      <b-navbar-brand to="/" color="black">Accueil</b-navbar-brand>

      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
          <b-nav-item v-if="!getName" to="/signIn/">Se connecter</b-nav-item>
          <b-nav-item v-else v-on:click="deconnexion">Se déconnecter</b-nav-item>
          <b-nav-item to="/signup/">S'inscrire</b-nav-item>
          <b-nav-item to="/menu/">Voir les plats</b-nav-item>
          <b-nav-item class="text-black" to="/admin/">Admin</b-nav-item>
        </b-navbar-nav>
        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
          <div v-if="getName">
            <div style="font-size: 2rem;">
              <b-button variant="black" to="/dishes/"
                ><b-icon icon="person-circle"></b-icon> Bonjour {{ getName }}
              </b-button>
              <b-button variant="black" to="/cart/"
                ><b-icon icon="cart3"></b-icon> Panier ({{ getCartNumber }})
              </b-button>
            </div>
          </div>
          <div v-else></div>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
    <router-view>
    </router-view>
  </div>
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      numberCart: 0,
    };
  },
  computed: {
    getCartNumber() {
      return this.$store.getters.getCartNumber;
    },
    getName() {
      return this.$store.getters.getName;
    },
    getToken() {
      return this.$store.getters.token;
    },
  },
  watch: {
    test: function() {
      console.log("test");
      console.log(this.getNumberCart);
    },
  },
  methods: {
  
    deconnexion: function() {
      console.log("je suis avant deletetoken")
      this.$store.dispatch("deleteToken");
      console.log("je suis après deletetoken")
      this.$router.push("/");
      console.log("je suis dans la home")
    },
  }
};
</script>
<style scoped>
.navbar-dark .navbar-nav .nav-link {
  color: black !important;
}

</style>
